<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class WikiTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        DB::table('wiki_users')->insert([
            'login' => 'nologin',
            'pass' => 'nopass',
            'name' => 'nologin',
        ]);

        DB::table('wiki_groupnames')->insert([
            'id' => '1',
            'gname' => 'user',
        ]);

        DB::table('wiki_groupnames')->insert([
            'id' => '2',
            'gname' => 'it',
        ]);

        DB::table('wiki_groupnames')->insert([
            'id' => '3',
            'gname' => 'fc',
        ]);

        DB::table('wiki_groupnames')->insert([
            'id' => '4',
            'gname' => 'admin',
        ]);

        DB::table('wiki_members')->insert([
            'uid' => '1',
            'gid' => '1',
            'groupname' => 'user',
        ]);
    }
}
